Subject: Re: bug#18958: 25.0.50; auto-revert-mode reacts slowly even if using an event-driven backend

From: Eli Zaretskii <[email-masked]>
Date: Sat, 28 Feb 2015 17:31:02 +0200

> From: Michael Albinus <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 21 Feb 2015 13:43:37 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Per default, I have enabled gfilenotify as notification library; it
> >> works also w/o problems. Of course, I cannot speak for w32notify, maybe
> >> somebody can run a short test.
> >
> > If you can tell me what test to run, I can try doing that.
> 
> I fear we have no ert test case yet, it is a matter of timing. Maybe I
> write something next days, or somebody else has a got idea how to do.
> 
> Test: Open a file in Emacs, and enable auto-revert-mode or
> auto-revert-tail-mode. Change it outside Emacs. The reverted file shall
> be shown immediately in Emacs.

I compared with Emacs 24.4.90, and indeed the master version shows the
updated contents much faster.

> Another test I would also like to see on w32 is for the change I've
> committed some few minutes ago: auto-revert of dired buffers. Call
> auto-revert-mode on a dired buffer, and create/delete a file in the
> respective directory outside Emacs. The dired buffer shall be reverted
> immediately as well.

Likewise: the 25.0.50 version reverts immediately, while 24.4.90
sometimes waits for several seconds (as expected).

So it looks like things work on w32 as intended; thanks.